//   C
#include <stdint.h>

#define PB_ODR	(*(volatile uint8_t *)0x5005)         //   ODR  D
#define PB_DDR	(*(volatile uint8_t *)0x5007)         //   DDR  D
#define PB_CR1	(*(volatile uint8_t *)0x5008)         //   CR1  

#define CLK_CKDIVR *(volatile uint8_t *)0x0050C6    //    CLK_CKDIVR

static void delay(uint32_t t) // 
{
    while(t--) {}
}


void main(void)
{
    CLK_CKDIVR &= ~0x18;//    HSI  00 ( )
    PB_DDR |= 0x20;      //  PB.5  
    PB_CR1 |= 0x20;     //  PB.5  push-pull,  

    while(1)
        {
        PB_ODR &= ~(1 << 5); // 0   PB.5
        delay(100000UL); //
        PB_ODR |= (1 << 5); // 1   PB.5
        delay(100000UL); //
    }
}
